// 本地开发环境
const local = {
    // web_pc: 'https://tyyx.bozedu.top/',
    // web_mobile: 'https://tyyxm.bozedu.top/',

    api: 'https://txwxopenapi.bozedu.top/',
    oss: 'https://txwxopenapi.bozedu.top/',
    uc: 'https://uc.dev.bozedu.net/',
    origin: window.location.origin,
    tyyx: 'https://tyyx.bozedu.top/#/home'
}

// 测试服环境
const development = {
    web_pc: 'https://txwx.bozedu.top/',

    origin: window.location.origin,
    api: 'https://txwxopenapi.bozedu.top/',
    oss: 'https://txwxopenapi.bozedu.top/',
    uc: 'https://uc.dev.bozedu.net/',
    tyyx: 'https://tyyx.bozedu.top/#/home'
}

// // 正式服环境
const production = {
    web_pc: 'https://txwx.txhlwxx.com/',

    origin: window.location.origin,
    api: 'https://txwxopenapi.txhlwxx.com/',
    oss: 'https://txwxopenapi.txhlwxx.com/',
    uc: 'https://uc.bozedu.net/',
    tyyx:'https://tyyx.txhlwxx.com/#/home'
}

function isWhich() {
    if (window.location.href.startsWith(development.web_pc)) {
        return development
    } else if (window.location.href.startsWith(production.web_pc)) {
        return production
    } else {
        return local
    }
}

window.GLOBAL_CONFIG = isWhich()
